JBoss API: Class ResourceInvoker

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class ResourceInvoker

    java.lang.Object
      |
      +--org.jboss.tm.plugins.tyrex.ResourceInvoker

All Implemented Interfaces:
  java.io.Externalizable, java.lang.reflect.InvocationHandler, java.io.Serializable

public class ResourceInvoker
extends java.lang.Object
implements java.lang.reflect.InvocationHandler, java.io.Externalizable

This is the InvocationHandler for the Proxy we hand over to the originator's Coordinator to control our subordinate transaction

Version:
  $Revision: 1.2.4.1 $
Author:
  Anatoly Akkerman
See Also:
  , Serialized Form

Constructor Summary
`ResourceInvoker()`
`ResourceInvoker(org.omg.CosTransactions.Resource res)`

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceInvoker

    public ResourceInvoker()

### ResourceInvoker

    public ResourceInvoker(org.omg.CosTransactions.Resource res)

Method Detail

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.